## quakeforge-0.7.2.tar.gz

=== tools/gas2masm/Makefile ===
# Quick-and-dirty Makefile for gas2masm

all:	gas2masm
gas2masm:	gas2masm.c
	cc $(CFLAGS) -Dstrcmpi=strcasecmp -Dstrnicmp=strncasecmp -o gas2masm gas2masm.c

=== debian/changelog ===
quakeforge (0.7.1-1) frozen unstable; urgency=low

  * version 0.7.1 :)

 -- Bill Currie <bill@taniwha.org>  Fri, 18 Jan 2013 16:52:58 +0900

quakeforge (0.6.0~git20110804-0) frozen unstable; urgency=low

  * Small debian bugfixes and GIT snapshot

 -- sergio <mailbox@sergio.spb.ru>  Thu, 04 Aug 2011 03:24:32 +0400

quakeforge (0.6.0~git20101223-1) frozen unstable; urgency=low

  * The "No, really" release.
  * Cleaned up lintian errors.

 -- Jeff Teunissen <deek@d2dc.net>  Fri, 24 Dec 2010 16:49:21 -0500

quakeforge (0.6.0~git20101223-0) frozen unstable; urgency=low

  * Getting ready for 0.6.0 release.

 -- Jeff Teunissen <deek@d2dc.net>  Thu, 24 Dec 2010 19:39:37 -0400

quakeforge (0.5.5-0cvs20040727) frozen unstable; urgency=low

  * CVS snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Tue, 27 Apr 2004 19:39:37 -0400

quakeforge (0.5.4-2) frozen unstable; urgency=high

  * compile against libvorbis0a instead of libvorbis0 (oops)

 -- Bill Currie <bill@taniwha.org>  Mon, 21 Jul 2003 23:09:00 -0600

quakeforge (0.5.4-1) frozen unstable; urgency=high

  * New release. fixes exploitable buffer overflow in qw-server
  * add previous changlog entry :P

 -- Bill Currie <bill@taniwha.org>  Thu, 17 Jul 2003 16:30:40 -0600

quakeforge (0.5.3-1) frozen unstable; urgency=low

  * New Release.
  * add the menu file as the problems for it in 0.5.2 have been fixed

 -- Bill Currie <bill@taniwha.org>  Wed, 09 Jul 2003 15:43:00 -0600

quakeforge (0.5.2-1.1) frozen unstable; urgency=low

  * The "It is a silly place" release.
  * Fix /etc/quakeforge.conf to load the default plugin, like all the work on
    the plugins made everyone think it would work. :)

 -- Jeff Teunissen <deek@d2dc.net>  Thu, 10 Oct 2002 00:54:23 -0400

quakeforge (0.5.2-1) frozen unstable; urgency=low

  * New release.
  * This package does not contain the menu file, because it would
    seriously screw up future upgrades. This will be fixed in 0.5.3.
    If you want menus, you'll have to download them from
    www.quakeforge.net for now.

 -- Jeff Teunissen <deek@d2dc.net>  Fri,  1 Oct 2002 02:54:17 -0400

quakeforge (0.5.1-0cvs20020416) frozen unstable; urgency=low

  * New snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Sat, 16 Apr 2002 04:07:02 -0400

quakeforge (0.5.1-0cvs20011117) frozen unstable; urgency=low

  * New snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Sat, 17 Nov 2001 18:13:02 -0500

quakeforge (0.5.1-0cvs20011103) frozen unstable; urgency=low

  * New snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Sat,  3 Nov 2001 16:13:02 -0500

quakeforge (0.5.1-0cvs20011015) frozen unstable; urgency=low

  * New snapshot

 -- Jeff Teunissen <deek@d2dc.net>  Mon, 15 Oct 2001 18:54:39 -0400

quakeforge (0.5.1-0cvs20010912) frozen unstable; urgency=low

  * Change version number to be closer to CVS
  * Lots of changes, all new packaging.

 -- Jeff Teunissen <deek@d2dc.net>  Wed, 12 Sep 2001 09:59:04 -0400

quakeforge (0.2.99beta6-0) frozen unstable; urgency=low

  * New upstream version

 -- Jeff Teunissen <deek@dusknet.dhs.org>  Tue, 14 Nov 2000 03:28:03 -0500

quakeforge (0.2.99alpha0-1) frozen unstable; urgency=low

  * New upstream release
  * New maintainer
  * uquake-* targets dropped upstream, to be re-added in new package
  * New package quakeforge-common contains quakeforge.conf conffile

 -- Jeff Teunissen <deek@dusknet.dhs.org>  Tue, 14 Nov 2000 03:26:04 -0500

quakeforge (0.2-20000308-1) frozen unstable; urgency=low

  * Unstable CVS snapshot
  * quake-* binaries are now named uquake-*
  * -gl targets are now more properly named -glx
  * Some minor annoyances with the status bar fixed in 0.1.1 have not been
    fixed in 0.2-d yet.  You won't see them, unless you play hip/rogue and
    they aren't really critical.
  * Sorry, no ~/.quake handling internally yet.

 -- Joseph Carter <knghtbrd@debian.org>  Wed,  8 Mar 2000 01:21:04 -0800

quakeforge (0.1.1-1) frozen unstable; urgency=medium

  * New upstream bugfix for people on Quack!
  * Fixed two nasty segfaults that could hose a box under SVGALib
  * Made UQuake statusbar behave sanely with cl_sbar 1 again
  * cl_sbar ignored properly in rogue/hipnotic--always assumed to be 1
  * default gl_clear to 1 so noclip doesn't do strange things onscreen
  * changed glClearColor to black so gl_clear 1 doesn't look like crap

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 27 Feb 2000 03:31:31 -0800

quakeforge (0.1.0-1) frozen unstable; urgency=HIGH

  * "0.0.9-1" was actually "0.1-20000103-1"
  * Fixed the sig4's in the SVGALib-using targets
  * replaced qwprogs.dat, no longer segfaults (Closes: #54152)
  * -ip will let you bind a specific IP (Closes: #14445)  (I hope)
  * quake-svga is suid root like other svgalib apps now (Closes: #47954)
  * quake-x11 restores repeat properly on normal exit (Closes: #48018)
  * If /dev/dsp can't be opened, just don't use sound (Closes: #53533)
  * The return of the wrapper scripts..  They've been rewritten a bit for
    dealing with unpacked pak files.  A new quake-lib-stub is needed if your
    pak files are not all lowercase.  (Closes: #54153, #54221, #54634)
  * svgalib targets are i386 only at the moment  =<  (Closes: #54451)
  * Built with newer libsdl  (Closes: #54488)
  * README now notes the gl_ztrick issue..  Essentially ztrick is a hack
    Id used to keep from clearing the Z buffer, it worked with older Mesa
    and with the 3dfx GL MCD.  Mesa 3+ flicker madly, so it defaults to off
    in the -gl target.  You still have to disable it by hand for the -3dfx
    target (since it's intended to be used with the 3dfx GL MCD..)  If set
    once to 0 it will be saved in that state.  (Closes: #54530)
  * If you want to start -svga and -3dfx from X, use open.  Documented this
    in the README.  (Closes: #54595)
  * Package relationships updated/fixed.  (Closes: #54747, #54868)
  * docs are now installed more sanely.  (Closes: #54749)
  * bins and data owned by games isn't going to happen  (Closes: #54742)



=== debian/control ===
Source: quakeforge
Section: contrib/games
Priority: optional
Maintainer: Jeff Teunissen <deek@debian.org>
Standards-Version: 3.1.1
Build-Depends: automake (>= 1.8) | automake1.8, autoconf, libtool, bison, flex, debhelper, libsdl1.2-dev, zlib1g-dev, libncurses5-dev, libx11-dev, libxext-dev, libxxf86dga-dev, libxxf86vm-dev, libcurl-dev, libasound2-dev, libvorbis-dev, libflac-dev, libjack-dev, libpng12-dev, libsamplerate0-dev, libwildmidi-dev, git-core

Package: quakeforge
Architecture: any
Depends: quakeforge-common, quakeforge-client, quake-game
Suggests: quakeforge-server
Description: 3D first-person shooter engine - Dependency package
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package exists only to depend on a client and suggest a server.

Package: quakeforge-common
Architecture: any
Depends: quake-game, ${misc:Depends}, ${shlibs:Depends}
Description: 3D first-person shooter engine - common files
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains files and shared libraries common to all QuakeForge
 packages.

Package: quakeforge-stub
Provides: quake-game
Section: non-free/games
Architecture: any
Description: 3D first-person shooter engine - common files
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This sub-package provides the quake-game pseudo package.

Package: quakeforge-dev
Architecture: any
Depends: quakeforge-common
Description: 3D first-person shooter engine - development files
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains headers and static libraries for the development of
 utilities and applications for QuakeForge.

Package: quakeforge-sdl
Architecture: any
Conflicts: quake-sdl
Depends: quake-game, ${misc:Depends}, ${shlibs:Depends}
Provides: quakeforge-client
Suggests: joystick
Description: 3D first-person shooter engine - SDL client
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains the SDL versions of the QuakeWorld client and
 standalone engine, as well as CD audio and sound output plugins that use SDL to
 do their work.

Package: quakeforge-x11
Architecture: any
Conflicts: quake-x11
Depends: quake-game, ${misc:Depends}, ${shlibs:Depends}
Provides: quakeforge-client
Suggests: joystick
Description: 3D first-person shooter engine - X11 client
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains the X11 versions of the QuakeForge client and
 standalone engine.

Package: quakeforge-servers
Architecture: any
Depends: quake-game, ${misc:Depends}, ${shlibs:Depends}
Provides: quakeforge-server
Description: 3D first-person shooter engine - Servers
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains both the QuakeWorld-compatible and
 NetQuake-compatible dedicated servers, as well as a simple
 QuakeWorld-compatible master server.

Package: quakeforge-sw
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Section: contrib/libs
Description: 3D first-person shooter engine - Software renderer libraries
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains the shared libraries needed to use the software
 renderer.

Package: quakeforge-sw32
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Section: contrib/libs
Description: 3D first-person shooter engine - Software renderer libraries
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains the shared libraries needed to use the 32bppi
 software renderer.

Package: quakeforge-gl
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Section: contrib/libs
Description: 3D first-person shooter engine - OpenGL renderer libraries
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains the shared libraries needed to use the OpenGL
 renderer.

Package: quakeforge-glsl
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Section: contrib/libs
Description: 3D first-person shooter engine - OpenGL renderer libraries
 QuakeForge is a source port of Quake and QuakeWorld, the successors to id
 Software's very popular DOOM series. Its primary development goal is to
 remain compatible with the original games released by id Software while
 adding portability and optional extensions to enhance gameplay.
 .
 This package contains the shared libraries needed to use the OpenGL GLSL
 renderer.

Package: quakeforge-oss
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Description: OSS digital audio output plugin for QuakeForge
 The OSS plugin for QuakeForge provides digital audio output (using OSS/Linux,
 OSS/Free, or kernel sound) for QuakeForge targets that contain clients.
 .
 NOTE: This plugin does not work on all systems, since it uses memory-mapped
 I/O for the output device. If you have trouble, try the quakeforge-alsa
 package.

Package: quakeforge-alsa
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Description: ALSA 0.9 digital audio output plugin for QuakeForge
 The ALSA 0.9 plugin for QuakeForge provides digital audio output for
 QuakeForge targets that contain clients.

Package: quakeforge-jack
Architecture: any
Depends: quakeforge-common, ${misc:Depends}, ${shlibs:Depends}
Description: JACK digital audio output plugin for QuakeForge
 The JACK plugin for QuakeForge provides digital audio output for
 QuakeForge targets that contain clients.

Package: quakeforge-utils
Architecture: any
Section: contrib/utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quake utility programs from QuakeForge
 This package contains several tools for use with QuakeForge and other
 Quake-based game engines.
 .
	* pak, a pakfile management tool.
	* zpak, a script for compressing pakfiles.
	* qfprogs, a "nm" tool for examining progs (QuakeC) data files.
	* qfwavinfo, a tool to assist in converting "looped" WAV files
	  to Ogg Vorbis.

Package: quakeforge-maptools
Architecture: any
Section: contrib/devel
Depends: qfcc, ${misc:Depends}, ${shlibs:Depends}
Description: Quake mapping tools from the QuakeForge Project
 This package contains QuakeForge's versions of the tools Id Software used
 to create maps for the Quake engine. Included are:
 .
	* qfbsp, a program for compiling a map file into a BSP tree.
	* qflight, a program for generating lightmaps from the static lights
	  in a BSP file.
	* qfvis, a program for generating the Possibly-Visible Set
	  information from a BSP and a portal information file (generated
	  by qfbsp).

Package: qfcc
Architecture: any
Section: contrib/devel
Depends: cpp, python, ${misc:Depends}, ${shlibs:Depends}
Description: The QuakeForge Code Compiler
 QFCC is an optimizing byte-code compiler for the Ruamoko language, a language
 based strongly on Id Software's QuakeC. The bytecode interpreter for QuakeC
 and Ruamoko is located inside the Quake engine (though there is a standalone
 interpreter available).
 .
 QFCC is designed to work with the QuakeForge engines, but will work with
 most non-QuakeForge servers with a couple of changes to its command-line
 options.

=== debian/rules ===
#! /usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=7

PACKAGE 	:= quakeforge
QFCC		:= qfcc
common		:= $(PACKAGE)-common
stub		:= $(PACKAGE)-stub
maptools	:= $(PACKAGE)-maptools
dev		:= $(PACKAGE)-dev

alsa		:= $(PACKAGE)-alsa
gllib		:= $(PACKAGE)-gl
glsllib		:= $(PACKAGE)-glsl
jack		:= $(PACKAGE)-jack
oss		:= $(PACKAGE)-oss
sdl		:= $(PACKAGE)-sdl
servers		:= $(PACKAGE)-servers
swlib		:= $(PACKAGE)-sw
sw32lib		:= $(PACKAGE)-sw32
utils		:= $(PACKAGE)-utils
x11		:= $(PACKAGE)-x11

build	:= $(shell pwd)/debian/tmp
tmp	:= debian/tmp

ifeq ($(DEB_BUILD_GNU_TYPE),)
RETARGET=
else
RETARGET=	--build=$(DEB_BUILD_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./bootstrap
	./configure --prefix=/usr $(RETARGET) --bindir=/usr/games \
		    --without-fbdev \
		    --with-ipv6 \
		    --disable-Werror \
		    --disable-xmms \
		    --mandir=/usr/share/man \
		    --infodir=/usr/share/info \
		    --with-sharepath=/usr/share/games/quake \
		    --with-plugin-path=/usr/lib/quakeforge/plugins \
		    --with-clients=sdl,x11 \
		    --with-servers=master,nq,qw

	touch $@

build: configure-stamp changelog-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) $(QFSMP)
	touch $@

changelog-stamp:
	dh_testdir
	# Add here commands to build the changelog
	if test -d .git; then $(MAKE) changelog; fi
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp changelog-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	# VERY clean
	./bootstrap clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep

	# Add here commands to install the package into debian/tmp.
	$(MAKE) DESTDIR=$(build) install
	install -m644 -D debian/quakeforge.conf $(build)/etc/quakeforge.conf
	mkdir $(build)/usr/share/games/quake/id1

# Moving files to their right locations
	# qfcc
	install -D -m755 $(tmp)/usr/games/qfcc $(tmp)/usr/bin/qfcc
	rm -f $(tmp)/usr/games/qfcc
	install -D -m755 $(tmp)/usr/games/qfpreqcc $(tmp)/usr/bin/qfpreqcc
	rm -f $(tmp)/usr/games/qfpreqcc
	# quakeforge-utils
	install -D -m755 $(tmp)/usr/games/pak $(tmp)/usr/bin/pak
	install -D -m755 $(tmp)/usr/games/wad $(tmp)/usr/bin/wad
	install -D -m755 $(tmp)/usr/games/zpak $(tmp)/usr/bin/zpak
	install -D -m755 $(tmp)/usr/games/qfprogs $(tmp)/usr/bin/qfprogs
	install -D -m755 $(tmp)/usr/games/qfwavinfo $(tmp)/usr/bin/qfwavinfo
	rm -f $(tmp)/usr/games/pak \
		$(tmp)/usr/games/wad \
		$(tmp)/usr/games/zpak \
		$(tmp)/usr/games/qfprogs \
		$(tmp)/usr/games/qfwavinfo
	# quakeforge-maptools
	install -D -m755 $(tmp)/usr/games/qfbsp $(tmp)/usr/bin/qfbsp
	install -D -m755 $(tmp)/usr/games/qflight $(tmp)/usr/bin/qflight
	install -D -m755 $(tmp)/usr/games/qfvis $(tmp)/usr/bin/qfvis
	rm -f $(tmp)/usr/games/qfbsp \
		$(tmp)/usr/games/qflight \
		$(tmp)/usr/games/qfvis

	# quakeforge-common
	dh_install -p$(common) --sourcedir=$(tmp)
	dh_installdocs -p$(common) NEWS TODO
	dh_installchangelogs -p$(common) ChangeLog

	# quakeforge-stub
	install -d -m755 debian/$(stub)/usr/share/games/quake/id1

	# quakeforge-dev
	dh_install -p$(dev) --sourcedir=$(tmp)
	install -d -m755 debian/$(dev)/usr/share/doc
	ln -s $(common) debian/$(dev)/usr/share/doc/$(dev)

	# quakeforge-libs-gl
	dh_install -p$(gllib) --sourcedir=$(tmp)
	install -d -m755 debian/$(gllib)/usr/share/doc
	ln -s $(common) debian/$(gllib)/usr/share/doc/$(gllib)

	# quakeforge-libs-glsl
	dh_install -p$(glsllib) --sourcedir=$(tmp)
	install -d -m755 debian/$(glsllib)/usr/share/doc
	ln -s $(common) debian/$(glsllib)/usr/share/doc/$(glsllib)

	# quakeforge-libs-sw
	dh_install -p$(swlib) --sourcedir=$(tmp)
	install -d -m755 debian/$(swlib)/usr/share/doc
	ln -s $(common) debian/$(swlib)/usr/share/doc/$(swlib)

	# quakeforge-libs-sw32
	dh_install -p$(sw32lib) --sourcedir=$(tmp)
	install -d -m755 debian/$(sw32lib)/usr/share/doc
	ln -s $(common) debian/$(sw32lib)/usr/share/doc/$(sw32lib)

	# quakeforge-servers
	dh_install -p$(servers) --sourcedir=$(tmp)
	install -d -m755 debian/$(servers)/usr/share/doc
	ln -s $(common) debian/$(servers)/usr/share/doc/$(servers)

	# quakeforge-sdl
	dh_install -p$(sdl) --sourcedir=$(tmp)
	install -d -m755 debian/$(sdl)/usr/share/doc
	ln -s $(common) debian/$(sdl)/usr/share/doc/$(sdl)

	# quakeforge-x11
	dh_install -p$(x11) --sourcedir=$(tmp)
	install -d -m755 debian/$(x11)/usr/share/doc
	ln -s $(common) debian/$(x11)/usr/share/doc/$(x11)

	# quakeforge-alsa
	dh_install -p$(alsa) --sourcedir=$(tmp)
	install -d -m755 debian/$(alsa)/usr/share/doc
	ln -s $(common) debian/$(alsa)/usr/share/doc/$(alsa)

	# quakeforge-oss
	dh_install -p$(oss) --sourcedir=$(tmp)
	install -d -m755 debian/$(oss)/usr/share/doc
	ln -s $(common) debian/$(oss)/usr/share/doc/$(oss)

	# quakeforge-jack
	dh_install -p$(jack) --sourcedir=$(tmp)
	install -d -m755 debian/$(jack)/usr/share/doc
	ln -s $(common) debian/$(jack)/usr/share/doc/$(jack)

	# qfcc
	dh_install -p$(QFCC) --sourcedir=$(tmp)
	install -d -m755 debian/$(QFCC)/usr/share/doc
	ln -s $(common) debian/$(QFCC)/usr/share/doc/$(QFCC)

	# quakeforge-utils
	dh_install -p$(utils) --sourcedir=$(tmp)
	install -d -m755 debian/$(utils)/usr/share/doc
	ln -s $(common) debian/$(utils)/usr/share/doc/$(utils)

	# quakeforge-maptools
	dh_install -p$(maptools) --sourcedir=$(tmp)
	install -d -m755 debian/$(maptools)/usr/share/doc
	ln -s $(common) debian/$(maptools)/usr/share/doc/$(maptools)

	# quakeforge
	find $(tmp) -type d -empty -print | xargs -r rmdir -p --ignore-fail-on-non-empty
	dh_install -p$(PACKAGE) --sourcedir=$(tmp)
	install -d -m755 debian/$(PACKAGE)/usr/share/doc
	ln -s $(common) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
# We don't have any packages with Architecture: all

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_installmenu
	dh_installman -p$(QFCC)
	dh_installman -p$(maptools)
	dh_installman -p$(utils)
	dh_undocumented
	dh_strip -Xshare/qfcc
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs -V -Xplugins
	# You may want to make some executables suid here.
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
